Coolify logoCoolify
GET
/deploy

Deploy by tag or uuid. Post request also accepted with uuid and tag json body.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Query Parameters

tag?string

Tag name(s). Comma separated list is also accepted.

uuid?string

Resource UUID(s). Comma separated list is also accepted.

force?boolean

Force rebuild (without cache)

pr?integer

Pull Request Id for deploying specific PR builds. Cannot be used with tag parameter.

Response Body

application/json

application/json

application/json

curl -X GET "https://app.coolify.io/api/v1/deploy"
{  "deployments": [    {      "message": "string",      "resource_uuid": "string",      "deployment_uuid": "string"    }  ]}
{  "message": "Invalid token."}
{  "message": "Unauthenticated."}